Subject: Re: Problem choosing exe entry point.
From: "David A. Cobb" <[email-masked]>
To: Mumit Khan <[email-masked]>, Mo DeJong <[email-masked]>
Cc: [email-masked]
Date: Fri, 06 Jul 2001 10:13:00 -0400

At 7/6/01 01:25 AM (Friday), Mumit Khan wrote:
>On Thu, 5 Jul 2001, Mo DeJong wrote:
>
> > I think I have found a problem with the way Cygwin ld
> > picks the executable entry point when both WinMain() and main()
> > are available. I would think that passing in the -mwindows flag
> > (which gets passed to ld as --subsystem windows) would clear
> > things up and link with WinMain(). Instead, Cygwin ld is
> > choosing main().
>
>I would consider this a quality of implementation issue rather
>than a bug. Having both main and WinMain is rather ambiguous
>under most circumstances, and I'm not sure I'd qualify this as
>a bug.
>
>Mo, do you have any reason to have both, or do you have a project
>that defines both?

I had some similar plans, expressed on the list about a week ago, to create 
a "true" Windoze executable for rxvt by "wrapping" the existing code with a 
"WinMain" that would set up the environment and then call "__main" (?).

I haven't worked it all out yet.

>Regards,
>Mumit
>
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

David A. Cobb, Software Engineer, Public Access Advocate, All around nice guy.
Get my PGP key at
:<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit>
Fingerprint=0x{6E3E_DB8C_2E8C_4248_62B2_FE29_08EE_CF0A_3629_E954}
:<http://wwwkeys.pgp.net:11371/pks/lookup?op=get&search=superbiskit&fingerprint=on>
"By God's Grace I am a Christian man, by my actions a great sinner."
--The Way of a Pilgrim, R. M. French [tr.]
Potentially Viral Software is any software for which you are not allowed
to examine the source.  Do not buy or use Potentially Viral Software!
<---.----!----.----!----.----!----.----!----.----!----.----!----.---->

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/